# coding=utf-8

from rest_framework import generics

from django.conf import settings

from util import response_ok, response_error
from util.wx.wechat import WeChat
from util.exceptions import CustomError

from apps.customer.activity.serializers import ActivitySerializer
from apps.activity.models import Activity


class ActivityDetailView(generics.RetrieveAPIView):
    # permission_classes = [IsCustomerUser, ]
    queryset = Activity.objects.filter(enabled=True, delete=False, check_status=settings.PASS)
    serializer_class = ActivitySerializer

    def retrieve(self, request, *args, **kwargs):
        activity_id = request.GET.get('activity_id')

        instance = self.queryset.filter(id=activity_id).first()
        if not instance:
            raise CustomError(u'未找到相应活动信息！')
        serializer = self.get_serializer(instance)
        return response_ok(serializer.data)
